Gatana logoGatana Docs
RoutesArtifactsArtifactid

/artifacts/{artifactId}

Get an artifact with its version history and a frame URL for the requested or current version, honoring its visibility for anonymous callers

GET
/artifacts/{artifactId}
AuthorizationBearer <token>

In: header

Path Parameters

artifactId*string

Query Parameters

version?string

Version the frame URL should show. Defaults to the current version

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/artifacts/string"
{
  "id": "string",
  "title": "string",
  "createdByUserId": "string",
  "createdByUserName": "string",
  "createdByUserEmail": "string",
  "visibility": "private",
  "theme": "none",
  "currentVersion": 0,
  "sharedWithUserIds": [
    "string"
  ],
  "sharedWithTeamIds": [
    "string"
  ],
  "createdAt": "string",
  "updatedAt": "string",
  "url": "string",
  "createdByName": "string",
  "versions": [
    {
      "version": 0,
      "sizeBytes": 0,
      "contentType": "text/html",
      "createdByUserId": "string",
      "createdAt": "string"
    }
  ],
  "frameUrl": "string"
}